Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.assertions
Class XPathAssertion

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.assertions.XPathAssertion

All Implemented Interfaces:
  Assertion, Cloneable, Serializable, TestElement

public class XPathAssertion
extends AbstractTestElement
implements Serializable, Assertion

Checks if the result is a well-formed XML content and whether it matches an XPath

See Also:
  Serialized Form

Field Summary
`static String` | `DEFAULT_XPATH`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`XPathAssertion()`

Method Summary
`AssertionResult` | `getResult(SampleResult response)` Returns the result of the Assertion.
`String` | `getXPathString()` Get The XPath String that will be used in matching the document
`boolean` | `isNamespace()` Is this namespace aware?
`boolean` | `isNegated()` Negate the XPath test, that is return true if something is not found.
`boolean` | `isQuiet()`
`boolean` | `isTolerant()` Is this using tolerant mode?
`boolean` | `isValidating()` Is this validating
`boolean` | `isWhitespace()` Is this whitepsace ignored.
`boolean` | `reportErrors()`
`void` | `setNamespace(boolean namespace)` Set whether this is namespace aware
`void` | `setNegated(boolean negate)`
`void` | `setQuiet(boolean val)`
`void` | `setReportErrors(boolean val)`
`void` | `setShowWarnings(boolean val)`
`void` | `setTolerant(boolean tolerant)` Set tolerant mode if required
`void` | `setValidating(boolean validate)` Set use validation
`void` | `setWhitespace(boolean whitespace)` Set whether to ignore element whitespace
`void` | `setXPathString(String xpath)` Set the XPath String this will be used as an xpath
`boolean` | `showWarnings()`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement
`addProperty, addTestElement, canRemove, clear, clearTemporary, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_XPATH

    public static final String DEFAULT_XPATH

See Also:
  Constant Field Values

Constructor Detail

### XPathAssertion

    public XPathAssertion()

Method Detail

### getResult

    public AssertionResult getResult(SampleResult response)

  Returns the result of the Assertion. Checks if the result is well-formed XML, and that the XPath expression is matched (or not, as the case may be)

  Specified by:
    `getResult` in interface `Assertion`
  Parameters:
    `response` - the SampleResult containing information about the Sample (duration, success, etc)
  Returns:
    the AssertionResult containing the information about whether the assertion passed or failed.

### getXPathString

    public String getXPathString()

  Get The XPath String that will be used in matching the document

  Returns:
    String xpath String

### setXPathString

    public void setXPathString(String xpath)

  Set the XPath String this will be used as an xpath

  Parameters:
    `xpath` - String

### setWhitespace

    public void setWhitespace(boolean whitespace)

  Set whether to ignore element whitespace

  Parameters:
    `whitespace` -

### setValidating

    public void setValidating(boolean validate)

  Set use validation

  Parameters:
    `validate` -

### setNamespace

    public void setNamespace(boolean namespace)

  Set whether this is namespace aware

  Parameters:
    `namespace` -

### setTolerant

    public void setTolerant(boolean tolerant)

  Set tolerant mode if required

  Parameters:
    `tolerant` - true/false

### setNegated

    public void setNegated(boolean negate)

### isWhitespace

    public boolean isWhitespace()

  Is this whitepsace ignored.

  Returns:
    boolean

### isValidating

    public boolean isValidating()

  Is this validating

  Returns:
    boolean

### isNamespace

    public boolean isNamespace()

  Is this namespace aware?

  Returns:
    boolean

### isTolerant

    public boolean isTolerant()

  Is this using tolerant mode?

  Returns:
    boolean

### isNegated

    public boolean isNegated()

  Negate the XPath test, that is return true if something is not found.

  Returns:
    boolean negated

### setReportErrors

    public void setReportErrors(boolean val)

### reportErrors

    public boolean reportErrors()

### setShowWarnings

    public void setShowWarnings(boolean val)

### showWarnings

    public boolean showWarnings()

### setQuiet

    public void setQuiet(boolean val)

### isQuiet

    public boolean isQuiet()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.